> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rampartcorporation.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Magic Link

> Create a magic link for the given email address.



## OpenAPI

````yaml POST /v2/magic-link
openapi: 3.0.0
info:
  title: Rampart API
  description: Rampart API Documentation
  version: v2
  contact: {}
servers:
  - url: https://api.rampartcorporation.com
security:
  - bearerAuth: []
tags: []
paths:
  /v2/magic-link:
    post:
      tags:
        - Magic Link
      summary: Create Magic Link
      description: Create a magic link for the given email address.
      operationId: MagicLinkController_createMagicLink
      parameters:
        - name: x-client-id
          in: header
          description: Client ID for authentication
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              properties:
                email:
                  type: string
                  description: Email address to send the magic link to.
                  example: test@example.com
                first_name:
                  type: string
                  description: First name of the user.
                  example: John
                last_name:
                  type: string
                  description: Last name of the user.
                  example: Doe
                client_name:
                  type: string
                  description: Name of the client.
                  example: Acme Inc
              required:
                - email
      responses:
        '200':
          description: Successfully created magic link
          content:
            application/json:
              schema:
                type: object
                properties:
                  url:
                    type: string
                    description: The URL of the magic link.
                    example: >-
                      https://partner.rampartcorporation.com/magic-link?token=1234567890
components:
  securitySchemes:
    bearerAuth:
      scheme: bearer
      bearerFormat: JWT
      type: http
      description: Bearer authentication header of the form `Bearer <API_KEY>`.

````